package com.ywt.mg.domain.models.enums;

/**
 * express   1-可以快递   0-不可以
 */
public enum OutpatientExpressEnum {
    NO("否", 0),
    YES("是", 1);

    private final String displayName;

    private final int value;

    OutpatientExpressEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static OutpatientExpressEnum valueOf(int value){
        switch (value){
            case 0:
                return NO;
            case 1:
                return YES;
            default:
                return NO;
        }
    }
}
